1. Projects
Litehost Connect API
  • System
    • Health check
      GET
    • API info
      GET
  • User
    • Get current user
      GET
  • Projects
    • List projects
      GET
    • Create project
      POST
    • Get project
      GET
    • Push new version
      PUT
    • Update project settings
      PATCH
    • Delete project
      DELETE
    • Get deployment history
      GET
    • Toggle archive
      POST
  • Domains
    • List domains
      GET
    • Get domain
      GET
  • Workspaces
    • List workspaces
      GET
    • Create workspace
      POST
    • Rename workspace
      PATCH
    • Delete workspace
      DELETE
  • Schemas
    • Project
    • Deployment
    • Domain
    • DomainDetail
    • WorkspaceSummary
    • ErrorResponse
    • SuccessResponse
  1. Projects

Update project settings

PATCH
/v1/projects/{projectId}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Settings updated
Body

🟠401
🟠404
🟠409
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://connect.litehost.io/v1/projects/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "title": "Updated Title",
    "status": "public",
    "noIndex": true
}'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "updated": true
    }
}
Modified at 2026-04-01 05:58:58
Previous
Push new version
Next
Delete project
Built with